Borrar plantilla
DELETE /api/templates/deleteBorra una plantilla por nombre (todas las traducciones) o por hsm_id (una sola). Requiere scope templates:manage.
Request body
Section titled “Request body”| Field | Type | Description | |
|---|---|---|---|
channel_id | string | required | channel_id del canal (prefijo nk_). Example: "nk_dvzobn7m4h4y". |
template_name | string | required | Nombre de la plantilla a borrar. Example: "bienvenida". |
hsm_id | string | optional | Id de una traducción específica (hsm_id). Si se omite, borra todas. Example: "123456789". |
Responses
Section titled “Responses”| Status | Description | Schema |
|---|---|---|
200 | — | DeleteTemplateResponseDto |
Example
Section titled “Example”curl -X DELETE https://api.neike.dev/api/templates/delete \ -H "x-neike-api-key: whk_live_…" \ -H "Content-Type: application/json" \ -d '{ "channel_id": "nk_dvzobn7m4h4y", "template_name": "bienvenida" }'DeleteTemplateResponseDto
Section titled “DeleteTemplateResponseDto”| Field | Type | Description | |
|---|---|---|---|
success | boolean | required | Example: true. |
status_code | number | required | Example: 200. |